Package tigase.server.xmppsession

## Class PacketDefaultHandler

- java.lang.Object
- - tigase.server.xmppsession.PacketDefaultHandler

-     public class PacketDefaultHandler
      extends java.lang.Object

  Describe class PacketDefaultHandler here.
  Created: Fri Feb 2 15:08:58 2007
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PacketDefaultHandler()` | Creates a new `PacketDefaultHandler` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canHandle​(Packet packet, XMPPResourceConnection session)` | Method checks if packet can be processed by this handler
    `boolean` | `forward​(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, java.util.Queue<Packet> results)` |
    `boolean` | `preprocess​(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, java.util.Queue<Packet> results)` |
    `void` | `process​(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, java.util.Queue<Packet> results)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketDefaultHandler

          public PacketDefaultHandler()

      Creates a new `PacketDefaultHandler` instance.

  - ### Method Detail

    - #### canHandle

          public boolean canHandle​(Packet packet,
                                   XMPPResourceConnection session)

      Method checks if packet can be processed by this handler

    - #### forward

          public boolean forward​(Packet packet,
                                 XMPPResourceConnection session,
                                 NonAuthUserRepository repo,
                                 java.util.Queue<Packet> results)

    - #### preprocess

          public boolean preprocess​(Packet packet,
                                    XMPPResourceConnection session,
                                    NonAuthUserRepository repo,
                                    java.util.Queue<Packet> results)

    - #### process

          public void process​(Packet packet,
                              XMPPResourceConnection session,
                              NonAuthUserRepository repo,
                              java.util.Queue<Packet> results)
                       throws XMPPException

      Throws:
        `XMPPException`